import 'package:flutter/material.dart';

class SeniorColors {
  SeniorColors._();

  // Primary Color

  /// This color is represented by the hexadecimal value #0E866A.
  static const Color primaryColor = Color(0xFF0E866A);

  /// This color is represented by the hexadecimal value #D0EEE7.
  static const Color primaryColor100 = Color(0xFFD0EEE7);

  /// This color is represented by the hexadecimal value #A0DCCE.
  static const Color primaryColor200 = Color(0xFFA0DCCE);

  /// This color is represented by the hexadecimal value #71CBB6.
  static const Color primaryColor300 = Color(0xFF71CBB6);

  /// This color is represented by the hexadecimal value #41B99D.
  static const Color primaryColor400 = Color(0xFF41B99D);

  /// This color is represented by the hexadecimal value #12A885.
  static const Color primaryColor500 = Color(0xFF12A885);

  /// This color is represented by the hexadecimal value #0E866A.
  static const Color primaryColor600 = Color(0xFF0E866A);

  /// This color is represented by the hexadecimal value #0B6550.
  static const Color primaryColor700 = Color(0xFF0B6550);

  /// This color is represented by the hexadecimal value #074335.
  static const Color primaryColor800 = Color(0xFF074335);

  /// This color is represented by the hexadecimal value #04221B.
  static const Color primaryColor900 = Color(0xFF04221B);

  // Secondary Colors

  /// This color is represented by the hexadecimal value #7E8A92.
  static const Color secondaryColor = Color(0xFF7E8A92);

  /// This color is represented by the hexadecimal value #ECEEF1.
  static const Color secondaryColor100 = Color(0xFFECEEF1);

  /// This color is represented by the hexadecimal value #D8DEE2.
  static const Color secondaryColor200 = Color(0xFFD8DEE2);

  /// This color is represented by the hexadecimal value #C5CDD4.
  static const Color secondaryColor300 = Color(0xFFC5CDD4);

  /// This color is represented by the hexadecimal value #B1BDC5.
  static const Color secondaryColor400 = Color(0xFFB1BDC5);

  /// This color is represented by the hexadecimal value #9EACB7.
  static const Color secondaryColor500 = Color(0xFF9EACB7);

  /// This color is represented by the hexadecimal value #7E8A92.
  static const Color secondaryColor600 = Color(0xFF7E8A92);

  /// This color is represented by the hexadecimal value #5F676E.
  static const Color secondaryColor700 = Color(0xFF5F676E);

  /// This color is represented by the hexadecimal value #3F4549.
  static const Color secondaryColor800 = Color(0xFF3F4549);

  /// This color is represented by the hexadecimal value #202225.
  static const Color secondaryColor900 = Color(0xFF202225);

  // Neutral Colors

  /// This color is represented by the hexadecimal value #808080.
  static const Color neutralColor = Color(0xFF808080);

  /// This color is represented by the hexadecimal value #FAFAFA.
  static const Color neutralColor100 = Color(0xFFFAFAFA);

  /// This color is represented by the hexadecimal value #F0F0F0.
  static const Color neutralColor200 = Color(0xFFF0F0F0);

  /// This color is represented by the hexadecimal value #E5E5E5.
  static const Color neutralColor300 = Color(0xFFE5E5E5);

  /// This color is represented by the hexadecimal value #CCCCCC.
  static const Color neutralColor400 = Color(0xFFCCCCCC);

  /// This color is represented by the hexadecimal value #808080.
  static const Color neutralColor500 = Color(0xFF808080);

  /// This color is represented by the hexadecimal value #666666.
  static const Color neutralColor600 = Color(0xFF666666);

  /// This color is represented by the hexadecimal value #4D4D4D.
  static const Color neutralColor700 = Color(0xFF4D4D4D);

  /// This color is represented by the hexadecimal value #333333.
  static const Color neutralColor800 = Color(0xFF333333);

  /// This color is represented by the hexadecimal value #1A1A1A.
  static const Color neutralColor900 = Color(0xFF1A1A1A);

  // Grayscale

  /// This color is represented by the hexadecimal value #FFFFFF.
  static const Color grayscale0 = Color(0xFFFFFFFF);

  /// This color is represented by the hexadecimal value #FBFAFC.
  static const Color grayscale5 = Color(0xFFFBFAFC);

  /// This color is represented by the hexadecimal value #EEEBF2.
  static const Color grayscale10 = Color(0xFFEEEBF2);

  /// This color is represented by the hexadecimal value #DEDCE5.
  static const Color grayscale20 = Color(0xFFDEDCE5);

  /// This color is represented by the hexadecimal value #C1C1CC.
  static const Color grayscale30 = Color(0xFFC1C1CC);

  /// This color is represented by the hexadecimal value #A5A5B2.
  static const Color grayscale40 = Color(0xFFA5A5B2);

  /// This color is represented by the hexadecimal value #888B99.
  static const Color grayscale50 = Color(0xFF888B99);

  /// This color is represented by the hexadecimal value #6E7280.
  static const Color grayscale60 = Color(0xFF6E7280);

  /// This color is represented by the hexadecimal value #525966.
  static const Color grayscale70 = Color(0xFF525966);

  /// This color is represented by the hexadecimal value #383E4D.
  static const Color grayscale80 = Color(0xFF383E4D);

  /// This color is represented by the hexadecimal value #212533.
  static const Color grayscale90 = Color(0xFF212533);

  /// This color is represented by the hexadecimal value #0E111A.
  static const Color grayscale100 = Color(0xFF0E111A);

  // Supporting Colors

  /// This color is represented by the hexadecimal value #62079A.
  static const Color supportingColor = Color(0xFF62079A);

  /// This color is represented by the hexadecimal value #EBCBFF.
  static const Color supportingColor100 = Color(0xFFEBCBFF);

  /// This color is represented by the hexadecimal value #CC7DFC.
  static const Color supportingColor200 = Color(0xFFCC7DFC);

  /// This color is represented by the hexadecimal value #B048F0.
  static const Color supportingColor300 = Color(0xFFB048F0);

  /// This color is represented by the hexadecimal value #821BC1.
  static const Color supportingColor400 = Color(0xFF821BC1);

  /// This color is represented by the hexadecimal value #62079A.
  static const Color supportingColor500 = Color(0xFF62079A);

  /// This color is represented by the hexadecimal value #460470.
  static const Color supportingColor600 = Color(0xFF460470);

  /// This color is represented by the hexadecimal value #2F014B.
  static const Color supportingColor700 = Color(0xFF2F014B);

  /// This color is represented by the hexadecimal value #1F0133.
  static const Color supportingColor800 = Color(0xFF1F0133);

  /// This color is represented by the hexadecimal value #0C0014.
  static const Color supportingColor900 = Color(0xFF0C0014);

  // Manchester Red Colors

  /// This color is represented by the hexadecimal value #D43A45.
  static const Color manchesterColorRed = Color(0xFFD43A45);

  /// This color is represented by the hexadecimal value #F6D8DA.
  static const Color manchesterColorRed100 = Color(0xFFF6D8DA);

  /// This color is represented by the hexadecimal value #EEB0B5.
  static const Color manchesterColorRed200 = Color(0xFFEEB0B5);

  /// This color is represented by the hexadecimal value #E5898F.
  static const Color manchesterColorRed300 = Color(0xFFE5898F);

  /// This color is represented by the hexadecimal value #DD616A.
  static const Color manchesterColorRed400 = Color(0xFFDD616A);

  /// This color is represented by the hexadecimal value #D43A45.
  static const Color manchesterColorRed500 = Color(0xFFD43A45);

  /// This color is represented by the hexadecimal value #AA2E37.
  static const Color manchesterColorRed600 = Color(0xFFAA2E37);

  /// This color is represented by the hexadecimal value #7F2329.
  static const Color manchesterColorRed700 = Color(0xFF7F2329);

  /// This color is represented by the hexadecimal value #55171C.
  static const Color manchesterColorRed800 = Color(0xFF55171C);

  /// This color is represented by the hexadecimal value #2A0C0E.
  static const Color manchesterColorRed900 = Color(0xFF2A0C0E);

  // Manchester Orange Colors

  /// This color is represented by the hexadecimal value #F18E1E.
  static const Color manchesterColorOrange = Color(0xFFF18E1E);

  /// This color is represented by the hexadecimal value #FCE8D2.
  static const Color manchesterColorOrange100 = Color(0xFFFCE8D2);

  /// This color is represented by the hexadecimal value #F9D2A5.
  static const Color manchesterColorOrange200 = Color(0xFFF9D2A5);

  /// This color is represented by the hexadecimal value #F7BB78.
  static const Color manchesterColorOrange300 = Color(0xFFF7BB78);

  /// This color is represented by the hexadecimal value #F4A54B.
  static const Color manchesterColorOrange400 = Color(0xFFF4A54B);

  /// This color is represented by the hexadecimal value #F18E1E.
  static const Color manchesterColorOrange500 = Color(0xFFF18E1E);

  /// This color is represented by the hexadecimal value #C17218.
  static const Color manchesterColorOrange600 = Color(0xFFC17218);

  /// This color is represented by the hexadecimal value #915512.
  static const Color manchesterColorOrange700 = Color(0xFF915512);

  /// This color is represented by the hexadecimal value #60390C.
  static const Color manchesterColorOrange800 = Color(0xFF60390C);

  /// This color is represented by the hexadecimal value #301C06.
  static const Color manchesterColorOrange900 = Color(0xFF301C06);

  // Manchester Yellow Colors

  /// This color is represented by the hexadecimal value #EEB61B
  static const Color manchesterColorYellow = Color(0xFFEEB61B);

  /// This color is represented by the hexadecimal value #FCF0D1.
  static const Color manchesterColorYellow100 = Color(0xFFFCF0D1);

  /// This color is represented by the hexadecimal value #F8E2A4.
  static const Color manchesterColorYellow200 = Color(0xFFF8E2A4);

  /// This color is represented by the hexadecimal value #F5D376.
  static const Color manchesterColorYellow300 = Color(0xFFF5D376);

  /// This color is represented by the hexadecimal value #F1C549.
  static const Color manchesterColorYellow400 = Color(0xFFF1C549);

  /// This color is represented by the hexadecimal value #EEB61B.
  static const Color manchesterColorYellow500 = Color(0xFFEEB61B);

  /// This color is represented by the hexadecimal value #BE9216.
  static const Color manchesterColorYellow600 = Color(0xFFBE9216);

  /// This color is represented by the hexadecimal value #8F6D10.
  static const Color manchesterColorYellow700 = Color(0xFF8F6D10);

  /// This color is represented by the hexadecimal value #5F490B.
  static const Color manchesterColorYellow800 = Color(0xFF5F490B);

  /// This color is represented by the hexadecimal value #302405.
  static const Color manchesterColorYellow900 = Color(0xFF302405);

  // Manchester Green Colors

  /// This color is represented by the hexadecimal value #318738
  static const Color manchesterColorGreen = Color(0xFF318738);

  /// This color is represented by the hexadecimal value #D6E7D7.
  static const Color manchesterColorGreen100 = Color(0xFFD6E7D7);

  /// This color is represented by the hexadecimal value #ADCFAF.
  static const Color manchesterColorGreen200 = Color(0xFFADCFAF);

  /// This color is represented by the hexadecimal value #83B788.
  static const Color manchesterColorGreen300 = Color(0xFF83B788);

  /// This color is represented by the hexadecimal value #5A9F60.
  static const Color manchesterColorGreen400 = Color(0xFF5A9F60);

  /// This color is represented by the hexadecimal value #318738.
  static const Color manchesterColorGreen500 = Color(0xFF318738);

  /// This color is represented by the hexadecimal value #276C2D.
  static const Color manchesterColorGreen600 = Color(0xFF276C2D);

  /// This color is represented by the hexadecimal value #1D5122.
  static const Color manchesterColorGreen700 = Color(0xFF1D5122);

  /// This color is represented by the hexadecimal value #143616.
  static const Color manchesterColorGreen800 = Color(0xFF143616);

  /// This color is represented by the hexadecimal value #0A1B0B.
  static const Color manchesterColorGreen900 = Color(0xFF0A1B0B);

  // Manchester Blue Colors

  /// This color is represented by the hexadecimal value #1D79C3.
  static const Color manchesterColorBlue = Color(0xFF1D79C3);

  /// This color is represented by the hexadecimal value #D2E4F3.
  static const Color manchesterColorBlue100 = Color(0xFFD2E4F3);

  /// This color is represented by the hexadecimal value #A5C9E7.
  static const Color manchesterColorBlue200 = Color(0xFFA5C9E7);

  /// This color is represented by the hexadecimal value #77AFDB.
  static const Color manchesterColorBlue300 = Color(0xFF77AFDB);

  /// This color is represented by the hexadecimal value #4A94CF.
  static const Color manchesterColorBlue400 = Color(0xFF4A94CF);

  /// This color is represented by the hexadecimal value #1D79C3.
  static const Color manchesterColorBlue500 = Color(0xFF1D79C3);

  /// This color is represented by the hexadecimal value #17619C.
  static const Color manchesterColorBlue600 = Color(0xFF17619C);

  /// This color is represented by the hexadecimal value #114975.
  static const Color manchesterColorBlue700 = Color(0xFF114975);

  /// This color is represented by the hexadecimal value #0C304E.
  static const Color manchesterColorBlue800 = Color(0xFF0C304E);

  /// This color is represented by the hexadecimal value #061827.
  static const Color manchesterColorBlue900 = Color(0xFF061827);

  /// This gradient color is represented by the hexadecimal values #5288B6 and #00C89A.
  static const List<Color> primaryGradientColors = [
    Color(0xFF5288B6),
    Color(0xFF00C89A),
  ];

  /// This color is represented by the hexadecimal value #080808.
  static const Color pureBlack = Color(0xFF080808);

  /// This color is represented by the hexadecimal value #FFFFFF.
  static const Color pureWhite = Color(0xFFFFFFFF);
}
